Skip to main content
`Ctrl`+`K`

# TaoComputeJacobianDesign

Computes the Jacobian matrix that has been set with `TaoSetJacobianDesignRoutine()`.

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoComputeJacobianDesign(Tao tao, Vec X, Mat J)

Collective

## Input Parameters

- tao - the Tao solver context

- X - input vector

## Output Parameter

- J - Jacobian matrix

## Note

Most users should not need to explicitly call this routine, as it is used internally within the optimization algorithms.

## See Also

TAO: Optimization Solvers, `Tao`, `TaoComputeObjective()`, `TaoComputeObjectiveAndGradient()`, `TaoSetJacobianDesignRoutine()`, `TaoSetStateDesignIS()`

## Level

developer

## Location

src/tao/interface/taosolver_hj.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages